[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.3.1-226-g4dba6f5

by Andre Heinecke cvs at cvs.gnupg.org
Thu Apr 13 10:04:27 CEST 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  4dba6f53e5f2c347a1f475d1602548047b66d813 (commit)
      from  9e71422a171c8308cd383b9420ddc94185bf5706 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 4dba6f53e5f2c347a1f475d1602548047b66d813
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Thu Apr 13 10:01:37 2017 +0200

    Add patch for GPA locale detection
    
    --
    Without this patch GPA does not find it's locale now
    that it is installed under bin.

diff --git a/Makefile.am b/Makefile.am
index a04d295..59f71a6 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -55,7 +55,8 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
         patches/libkleo/lower-kf5-required.patch \
         patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch \
-        patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch
+        patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch \
+        patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch b/patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch
new file mode 100755
index 0000000..5229d56
--- /dev/null
+++ b/patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch
@@ -0,0 +1,42 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From 2dae64a65080c52a731d98a905a447de1428cc7c Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Thu, 13 Apr 2017 09:44:47 +0200
+Subject: [PATCH] w32: Make location of locale dir more flexible
+
+* src/gpa.c (get_locale_dir): If installed under a bin subdirectory
+strip this out of the locale path.
+
+--
+This fixes loading locales when GPA is installed under a bin
+subdirectory like it is with GnuPG 2.1 and Gpg4win.
+---
+ src/gpa.c | 10 +++++++++-
+ 1 file changed, 9 insertions(+), 1 deletion(-)
+
+diff --git a/src/gpa.c b/src/gpa.c
+index be8490d..bad001f 100644
+--- a/src/gpa.c
++++ b/src/gpa.c
+@@ -160,7 +160,15 @@ get_locale_dir (void)
+
+   if (! GetModuleFileNameA (0, name, sizeof (name) - 30))
+     return NULL;
+-  p = strrchr (name, '\\');
++
++  /* If installed under bin assume that share is on the same
++     hierarchy as the bin subdirectory. Otherwise assume that
++     share is a subdirectory of the gpa.exe location. */
++  p = strstr (name, "\\bin\\");
++  if (!p)
++    {
++      p = strrchr (name, '\\');
++    }
+   if (!p)
+     {
+       *name = '\\';
+--
+2.1.4

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |  3 +-
 ...Make-location-of-locale-dir-more-flexible.patch | 42 ++++++++++++++++++++++
 2 files changed, 44 insertions(+), 1 deletion(-)
 create mode 100755 patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list